summaryrefslogtreecommitdiffstats
path: root/extras
diff options
context:
space:
mode:
authorLakshmipathi G <lakshmipathi@gluster.com>2011-02-22 08:29:07 +0000
committerAnand V. Avati <avati@dev.gluster.com>2011-02-22 09:35:01 -0800
commit7b07d444a77526f27f860210930bf1d4c7fbea9b (patch)
tree0015bea6d784d79876ace78d7e420140f53809f8 /extras
parent65ad0fb37b4df6ef842235c0ff3981c2611d56c5 (diff)
install gluster binaries under /opt/glusterfs/version with sym.link at /usr/bin
Signed-off-by: Lakshmipathi G <lakshmipathi@gluster.com> Signed-off-by: Anand V. Avati <avati@dev.gluster.com> BUG: 2279 (rpm spec file changes) URL: http://bugs.gluster.com/cgi-bin/bugzilla3/show_bug.cgi?id=2279
Diffstat (limited to 'extras')
-rwxr-xr-xextras/init.d/glusterd-Redhat.in7
1 files changed, 7 insertions, 0 deletions
diff --git a/extras/init.d/glusterd-Redhat.in b/extras/init.d/glusterd-Redhat.in
index 5ee3ab90832..0c39ff139ac 100755
--- a/extras/init.d/glusterd-Redhat.in
+++ b/extras/init.d/glusterd-Redhat.in
@@ -8,6 +8,8 @@
. /etc/rc.d/init.d/functions
BASE=glusterd
+GLUSTERFSD=glusterfsd
+GLUSTERFS=glusterfs
GLUSTERD_BIN=@prefix@/sbin/$BASE
GLUSTERD_OPTS=""
GLUSTERD="$GLUSTERD_BIN $GLUSTERD_OPTS"
@@ -29,6 +31,11 @@ stop()
echo -n $"Stopping $BASE:"
killproc $BASE
echo
+ pidof -c -o %PPID -x $GLUSTERFSD &> /dev/null
+ [ $? -eq 0 ] && killproc $GLUSTERFSD &> /dev/null
+
+ pidof -c -o %PPID -x $GLUSTERFS &> /dev/null
+ [ $? -eq 0 ] && killproc $GLUSTERFS &> /dev/null
}